package com.appbackend.aleph.model;

import java.io.Serializable;
import java.util.List;

public class AlephUser implements Serializable {
    private String username;
    private String id;
    private String name;
    private List<LoanBook> loans;
    private List<ReservationBook> reservations;
    private List<CatalogBook> history;

    public AlephUser(String username, String id, String name, List<LoanBook> loans, List<ReservationBook> reservations, List<CatalogBook> history) {
        this.username = username;
        this.id = id;
        this.name = name;
        this.loans = loans;
        this.reservations = reservations;
        this.history = history;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<LoanBook> getLoans() {
        return loans;
    }

    public void setLoans(List<LoanBook> loans) {
        this.loans = loans;
    }

    public List<ReservationBook> getReservations() {
        return reservations;
    }

    public void setReservations(List<ReservationBook> reservations) {
        this.reservations = reservations;
    }

    public List<CatalogBook> getHistory() {
        return history;
    }

    public void setHistory(List<CatalogBook> history) {
        this.history = history;
    }
}
