import React from 'react';
import {Text, TextProps} from 'react-native-elements';
import {StyleConstants} from "../../style/StyleConstants";

interface Props {
    style?: any
}

export class RobotoText extends React.PureComponent<TextProps> {
  render() {
    return <Text {...this.props} style={[{fontFamily: 'roboto', color: StyleConstants.TEXT}, this.props.style ]} />;
  }
}

export class RobotoBoldText extends React.PureComponent<TextProps> {
    render() {
        return <Text {...this.props} style={[ {fontFamily: 'roboto-bold', color: StyleConstants.TEXT}, this.props.style]} />;
    }
}







