package com.appbackend.aleph.model;

public class ReservationBook extends CatalogBook {

    private String itemSequence;
    private String sequence;
    private String status;
    private String reservedTo;

    public ReservationBook(String docNumber, String title, String author, String year, String isbn, String signature, String pages, String version, String itemSequence,
            String sequence,
            String status,
            String reservedTo) {
        super(docNumber, title, author, year, isbn, signature, pages, version);
        this.itemSequence = itemSequence;
        this.sequence = sequence;
        this.status = status;
        this.reservedTo = reservedTo;
    }

    public String getItemSequence() {
        return itemSequence;
    }

    public void setItemSequence(String itemSequence) {
        this.itemSequence = itemSequence;
    }

    public String getSequence() {
        return sequence;
    }

    public void setSequence(String sequence) {
        this.sequence = sequence;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getReservedTo() {
        return reservedTo;
    }

    public void setReservedTo(String reservedTo) {
        this.reservedTo = reservedTo;
    }
}
