import User from "../model/User";
import React from "react";

export interface AuthContextInterface {
    signIn: (user: User) => void,
    signOut: () => void
}

export const AuthContext = React.createContext<AuthContextInterface>(null);