import {StyleConstants} from "./StyleConstants";
import {StyleSheet} from "react-native";

export const GLOBAL_STYLES = StyleSheet.create({
    bookHeading: {
        color: StyleConstants.PRIMARY_BLUE_COLOR,
        fontSize: 16
    },
    indicator: {
        flex: 1,
        backgroundColor: StyleConstants.ACTIVITY_INDICATOR_BACKGROUND_COLOR
    },
    bookInfo: {
        color: '#7f7f7f'
    },
    input: {
        color: StyleConstants.PRIMARY_BLUE_COLOR,
    },
    fullScreenIndicator: {
        flex: 1,
        position: "absolute",
        top: 0,
        left: 0,
        right: 0,
        bottom: 0,
        justifyContent: 'center',
        alignItems: 'center',
        zIndex: 50,
        backgroundColor: 'rgba(171,171,171,0.8)'
    }

});

